pangomm 2.43.1

Public Types | List of all members
Pango::Weight_Wrapper Class Referencefinal
pangomm Enums and Flags

Wrapper for enum Weight. More...

`#include <pangomm/fontdescription.h>`

## Public Types
enum | Weight { THIN = 100, ULTRALIGHT = 200, LIGHT = 300, SEMILIGHT = 350, BOOK = 380, NORMAL = 400, MEDIUM = 500, SEMIBOLD = 600, BOLD = 700, ULTRABOLD = 800, HEAVY = 900, ULTRAHEAVY = 1000 }
| An enumeration specifying the weight (boldness) of a font. More...

## Detailed Description

Wrapper for enum Weight.

Weight enumerators are scoped and can be implicitly converted to int. The scope is Pango::Weight::